SpringCacheAnnotationParser (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.cache.annotation

## Class SpringCacheAnnotationParser

- java.lang.Object
- - org.springframework.cache.annotation.SpringCacheAnnotationParser

- All Implemented Interfaces:
    Serializable, CacheAnnotationParser

      public class SpringCacheAnnotationParser
      extends Object
      implements CacheAnnotationParser, Serializable

  Strategy implementation for parsing Spring's `Caching`, `Cacheable`, `CacheEvict` and `CachePut` annotations.
  Since:
    3.1
  Author:
    Costin Leau, Juergen Hoeller, Chris Beams
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringCacheAnnotationParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `int` | `hashCode()`
    `Collection<CacheOperation>` | `parseCacheAnnotations(AnnotatedElement ae)` Parses the cache definition for the given method or class, based on a known annotation type.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringCacheAnnotationParser

          public SpringCacheAnnotationParser()

  - ### Method Detail

    - #### parseCacheAnnotations

          public Collection<CacheOperation> parseCacheAnnotations(AnnotatedElement ae)

      Description copied from interface: `CacheAnnotationParser`
      Parses the cache definition for the given method or class, based on a known annotation type.

      This essentially parses a known cache annotation into Spring's metadata attribute class. Returns `null` if the method/class is not cacheable.

      Specified by:
        `parseCacheAnnotations` in interface `CacheAnnotationParser`
      Parameters:
        `ae` - the annotated method or class
      Returns:
        CacheOperation the configured caching operation, or `null` if none was found
      See Also:
        `AnnotationCacheOperationSource.determineCacheOperations(AnnotatedElement)`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`